﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using System.Windows.Data;

namespace XamGridSelectedRow
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void xamGrid1_CellEnteredEditMode(object sender, EditingCellEventArgs e)
        {
            (e.Editor as TextBox).Background = new SolidColorBrush(Colors.Green);

            foreach(Cell cell in e.Cell.Row.Cells)
            {
            cell.Style = this.Resources["EditModeStyle"] as Style;
        
            }
        }

        

        private void xamGrid1_CellExitingEditMode(object sender, ExitEditingCellEventArgs e)
        {
            foreach (Cell cell in e.Cell.Row.Cells)
            {

                cell.Style = this.Resources["NotEditMode"] as Style; ;

            }
        }
            
            
           
    }

    public class MyConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if ((bool)value == true)
                return FontWeights.Bold;
            else return FontWeights.Normal;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value;
        }
    }


      

    
    }
 
